// C:\Users\adm\Source\Repos\presence1\Demo\Data\Repository\IGroupRepository.cs
using System.Collections.Generic;
using Demo.Data.LocalData.Entity;

namespace Demo.Data.Repository
{
    public interface IGroupRepository
    {
        IEnumerable<Group> GetAllGroups();
        Group GetGroupById(int id);
        void AddGroup(Group group);
        void UpdateGroup(Group group);
        void DeleteGroup(int id);
    }
}